DotsDocs
Apps

Create an App

Create an app in your organization

POST
/v2/apps

Create an app in your organization

Authorization

api_key
headerAuthorizationBasic <token>

Request Body

application/json
  1. body
name*string

The name of the application.

Length3 <= length <= 60
metadata?|

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

Response Body

Created

application/json
  1. response
id*string
Formatuuid
name*string
status?string

App verification status. Some Dots use cases require newly created apps to pass KYB review.

Value in"created""in_review""approved"
metadata?|

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

settings*
Example Request
curl -X POST 'https://api.dots.dev/api/v2/apps' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "status": "created",  "metadata": "string",  "settings": {    "payout_options_exclude_list": [      "ach"    ],    "auto_refill_active": true,    "refill_amount": 0,    "refill_threshold": 0  }}